	<?php

	    $usuario = $_COOKIE["usuario"];
        $nivel = $_COOKIE["nivel"];
        if($nivel=="administrador"){$usuario="";}
        include_once("../php/config.php");
        $sql = mysql_query("select prestamos.balance,prestamos.id_prestamo, prestamos.monto_prestado,clientes.nombre,clientes.id from prestamos inner join clientes on prestamos.id_cliente=clientes.id where prestamos.estado_prestamo!='Anulado' and prestamos.balance>0 and usuario like '%".$usuario."%'") or die(mysql_error());
         include_once("../header.php");
       
         

	
	?>
    <div class="container-fluid">
      <!-- Breadcrumbs-->

           <?php include_once("../barra_lateral.php")?>  


		<div class="row">
			<div class="col-md-12">
			    <h3 class="text-success"><i class="fa fa-usd"></i> Registro de cobros</h3>
				<a class="btn btn-danger mb-2"  href="#modalPrestamos" data-toggle="modal"><i class="fa fa-search"></i>Buscar prestamos</a>
    <br>
     <br> <br>

                
				<div class="row">
					<div class="col-md-2">
						<span><b>Prestamo #:</b></span>
					</div>	

					<div class="col-md-2">
						<span class="text-success" id="id_prestamo"><b></b></span>
					</div>	

				</div>

			
				<div class="row">
					<div class="col-md-2">
						<span>Cliente</span>
					</div>	

					<div class="col-md-10">
						<span class="text-primary" id="nombre" style="text-decoration:underline"></span>
					</div>	

				</div>	




						
				<div class="row">
					<div class="col-md-1">
						<span>Ruta </span>
					</div>	

					<div class="col-md-1">
						<span class="text-primary" id="ruta"></span>
					</div>	

					<div class="col-md-1">
						<span class="">Cobrador</span>
					</div>
					
					<div class="col-md-1">
						<span class="text-info" id="cobrador"></span>
					</div>	

				</div>	
				
				
				
				
				<hr>
				<h5>Datos del prestamo</h5>
				
				<div class="row">
					<div class="col-md-2">
						<span >Monto prestado </span>
					</div>	

					<div class="col-md-2">
						<span class="badge badge-success" id="monto_prestado">0.00</span>
					</div>	

					<div class="col-md-1">
						<span class="font-weight-bold">% Tasa </span>
					</div>	
					<div class="col-md-1">
						<span class="text-info" id="tasa">0.00</span>
					</div>	

				</div>		
				
				
				<div class="row">
					<div class="col-md-2">
						<span>Frecuancia de pago: </span>
					</div>	

					<div class="col-md-2">
						<span class="text-primary" id="tipo"></span>
					</div>	

				</div>	
<hr>
				<div class="row">
					<div class="col-md-2">
						<span class="text-darck h5">Balance</span>
					</div>	
		
				
					<div class="col-md-2">
						<span class="text-danger h5" id="balance">0.00</span>
					</div>	

				</div>	
				<hr>

				<div class="row mb-2">
					<div class="col-md-2">
						<span class="text-primary h5">Monto recibido</span>
					</div>	
		
				
					<div class="col-md-2">
						<input type="number" id="pagado" name="pagado" placeholder="0.00" required="true" autocomplete="off" class="form-control text-info" style="font-weight:bolder; font-size:20px">
					</div>	

				</div>	

				<a class="btn btn-sm btn-success mb-2" href="#" data-toggle="modal" onclick="cobrar()"><i class="fa fa-usd"></i> Grabar cobro</a>

				<a class="btn btn-sm btn-warning mb-2" href="#" onclick="window.open('cuotas2.php?id_prestamo='+id_prestamo+'&cliente='+nombre_cliente+'&monto='+monto_prestado, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700')"><i class="fa fa-eye"></i> Ver cuotas </a>
                                <a class="btn btn-sm btn-warning mb-2" href="#" onClick="modal_mora()"></i> Ajuste mora</a>
                                  <a class="btn btn-sm btn-warning mb-2" href="#" onClick="modal_descuento()"></i> Aplicar descuento</a>
                                    <script>
                                   function modal_mora(){
                                      $("#modalMora").modal("show");
                                       $("#monto_mora").focus().select()
                                   }
                                   
                                   function modal_descuento(){
                                      $("#modalDescuento").modal("show");
                                       $("#monto_descuento").focus().select();
                                   }
                                   
                                    </script>
                        </div>
		
                <div id="lista">
                    
                </div>
                </div>
		
        </div>
      </div>
      


          
</div>
    </div>

	<!---Modal Cliente-->
	<div class="modal" id="modalPrestamos" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Seleccione prestamo</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
		   
          	<div class="table-responsive" style="max-height: 450px;">
		  	<table class="table table-sm table-borderred compact">
						<thead>
							<th># Prestamo</th>
							<th>Nombre/Apell. </th>
						    <th>Cedula </th>
						    <th>Telefono</th>
							<th>Monto</th>
							<th>Balance</th>
							<th>Accion</th>
							
						</thead>
						<tbody>
                                                        <?php while($r=mysql_fetch_array($sql)){?>
							<tr>
								<td><?php echo $r["id_prestamo"]?></td>
								<td><?php echo $r["nombre"]?></td>
								<td><?php echo $r["cedula"]?></td>
								<td><?php echo $r["telefono"]?></td>
								<td><?php echo @decimal($r["monto_prestado"])?></td>
								<td><span class="badge badge-success"><?php echo @decimal($r["balance"])?></span></td>
								 <td><a class="btn btn-sm btn-warning mb-2" onClick="get(<?php echo $r["id_prestamo"]?>)" data-dismiss="modal"><i class="fa fa-edit"></i></a></td>
							</tr>
                                                        <?php }?>
						</tbody>
					</table>
					</div>
		   </div>
          <div class="modal-footer">
          
           <button class="btn btn-default btn-sm"  data-dismiss="modal"><i class="fa fa-home"></i>Salir</button>
          </div>
        </div>
      </div>
    </div>

        	<!---Modal mora-->
	<div class="modal" id="modalMora" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-sm" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Ajuste de mora manual</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
              <div class="row">
                  <label for="monto_mora" class="col-sm-4 col-form-label" >Monto</label>
                  <div class="col-sm-8">
                      <input autocomplete="off" type="number"  class="form-control mb-2" id="monto_mora" name="monto_mora" value="">
                  </div>
              </div>
          </div>
          <div class="modal-footer">
          <button  onClick="ajuste_mora()" class="btn btn-warning"  data-dismiss="modal"><i class="fa fa-check"></i>Aceptar</button>
           <button class="btn btn-default"  data-dismiss="modal"><i class="fa fa-home"></i>Salir</button>
          </div>
        </div>
      </div>
    </div>

        	<!---Modal mora-->
	<div class="modal" id="modalDescuento" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-sm" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Aplicar descuento al prestamo</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
              <div class="row">
                  <label for="monto_mora" class="col-sm-4 col-form-label" >Monto</label>
                  <div class="col-sm-8">
                      <input autocomplete="off" type="number"  class="form-control mb-2" id="monto_descuento" name="monto_descuento" value="">
                  </div>
              </div>
          </div>
          <div class="modal-footer">
          <button  onClick="descuento()" class="btn btn-success"  data-dismiss="modal"><i class="fa fa-check"></i>Aceptar</button>
           <button class="btn btn-default"  data-dismiss="modal"><i class="fa fa-home"></i>Salir</button>
          </div>
        </div>
      </div>
    </div>
    
        
	<?php
	include_once("../footer.php");
	?>
	
<script>

$(function(){
	$("#modalPrestamos").modal("show");
})


var id_prestamo="";
var monto_prestado=0.00;
var balance=0.00;
var id_cliente=""
var nombre_cliente =""
var cuenta = "";
function get(id){
try{
   
    
    var sql="select * from prestamos inner join clientes on prestamos.id_cliente=clientes.id where prestamos.id_prestamo='"+id+"'"
    _enviar("../php/traer_datos.php",{"sql":sql})
    .done(function( data ){
         var rs = JSON.parse(data);
       
        for( var i in rs.data){
            id_cliente= rs.data[i].id;
            cuenta= rs.data[i].cuenta;
            nombre_cliente= rs.data[i].nombre;
            id_prestamo= rs.data[i].id_prestamo;
            monto_prestado= rs.data[i].monto_prestado;
            balance= rs.data[i].balance;
            $("#id_prestamo").html(rs.data[i].id_prestamo);
            $("#nombre").html(id_cliente+" - "+rs.data[i].nombre);
            $("#ruta").html(rs.data[i].ruta);
            $("#cobrador").html(rs.data[i].cobrador);
            $("#monto_prestado").html(numeral(rs.data[i].monto_prestado).format('0,0.00'));
            $("#tipo").html(rs.data[i].tipo);
            $("#tasa").html(numeral(rs.data[i].tasa).format('0,0.00'));
            $("#balance").html(numeral(rs.data[i].balance).format('0,0.00'));
            $("#pagado").focus();
            $("#pagado").select();
        }
        $("#loading").modal('hide');
    })

}catch(e){
	alert(e.message);
}



}


function cobrar(){
   
	var pagado = $("#pagado").val();
	if(pagado=="" || pagado<=0){alert("Monto invalido");   
	$("#pagado").focus();
    $("#pagado").select(); 
	    
	}
	
	if(id_prestamo==""){alert("Debe buscar el prestamo que desea pagar"); return;}
	if(balance<=0){alert("El balance de este prestamo es: "+balance); return}
	if(!confirm("seguro de registrar este cobro")){return;}
	$(".btn").css("pointer-events" ,"none");
	$(".btn").css("opacity" ,"0.4");
	$(".btn").css("cursor" ,"default");
	
	window.open('pagar.php?id_prestamo='+id_prestamo+'&monto='+pagado+'&nombre_cliente='+nombre_cliente+'&id_cliente='+id_cliente+'&cuenta='+cuenta+'&usuario='+myUser,'_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');
   window.location.href="../prestamos/prestamos.php";
}


function ajuste_mora(){
    try{
    var sql="select * from cuotas   where id_prestamo='"+id_prestamo+"' and balance>0 order by numero asc limit 1"
    _enviar("../php/traer_datos.php",{"sql":sql})
    .done(function( data ){
         var rs = JSON.parse(data);
        var tr=""
         var numero_ajustar = rs.data[0].numero
         ajustar(numero_ajustar);   

    })

}catch(e){
	alert(e.message);
}
}

function descuento(){
    try{
    var mt = $("#monto_descuento").val();   
    if(myLevel!="administrador"){alert("Esta accion requiere acceso de admistrador"); return;}
    if(mt=="" || mt<=0){alert("Monto invalido"); return;}
    if(!confirm("seguro de registrar este descuento")){return;}
    

    _enviar("descuento.php",{"monto":mt, "id_prestamo":id_prestamo})
    .done(function( data ){
     alert(data);
    })
 $("#loading").modal('hide');
}catch(e){
	alert(e.message);
}
}


function ajustar(numero){
    var monto_mora =$("#monto_mora").val();
    if(monto_mora<=0 || monto_mora==""){alert("monto invalido!!!");return}
    if(!confirm("Seguro que desea continuar con la operacion?")){return;}
   
     var sql="update cuotas set mora='"+monto_mora+"', balance=balance+'"+monto_mora+"' WHERE numero='"+numero+"' and id_prestamo='"+id_prestamo+"'";

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       
        noti("success","Mora actualizada","Operacion exitosa");
        
        dstry();
        id_cobrador="";
         $("#modalCobradores").modal('hide');
    window.location.reload();

      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}






$(".table").DataTable({
	 "language": {
            "url": "//cdn.datatables.net/plug-ins/9dcbecd42ad/i18n/Spanish.json"
        } 
        
});
setTimeout(function(){
    $('div.dataTables_filter input').focus();
},700)



</script>